Packages - Freedom Issue #2256

Freedom Issue # 1167 (confirmed): [chromium][electron][gt5-webengine][gt6-webengine] QTWebgine/Electron embeds "entire Chromium platform”
[kmail] Kmail won't run without QT-WebEngine.

2019-03-28 09:22 AM - PsiGuy60

Status: fixed % Done: 0%
Priority: freedom issue

Assignee: bill-auger

Category:

Description

The package will install, but won't actually run, citing a missing QT-WebEngine library if attempting to run from a terminal.
kmail: error while loading shared libraries: 1libQt5WebEngineCore.so.5

QT-WebEngine was deemed problematic enough to be excluded from the Parabola repositories. Wouldn't it make sense to also
remove applications that hard-depend on this library, then?

Related issues:
Related to Packages - Freedom Issue #2012: KDE depends on Qt5-Webengine (Duh...) fixed

History

#1 - 2019-03-28 09:41 AM - PsiGuy60

Seems there's already a pile of other KDE apps in the bug tracker for this exact issue as well.

#2 - 2019-04-14 01:33 AM - freemor

- Related to Freedom Issue #1167: [chromium][electron][qt5-webengine][qt6-webengine] QTWebgine/Electron embeds "entire Chromium platform"
added

#3 - 2023-01-22 11:28 AM - bill-auger
- Related to Freedom Issue #2012: KDE depends on Qt5-Webengine (Duh...) added

#4 - 2023-01-22 11:29 AM - bill-auger
- Status changed from unconfirmed to confirmed

- Subject changed from [kmail] [qt5-webengine] Kmail won't run without QT-WebEngine. to [kmail] Kmail won't run without QT-WebEngine.

#5 - 2023-01-22 11:31 AM - bill-auger

- Description updated

#6 - 2023-01-22 11:32 AM - bill-auger

many of them do not hard-code the dependency - they can be made to work without webengine - someone needs to investigate each one, before
deciding to fix it or discard it

#7 - 2024-03-14 05:52 AM - bill-auger
- Assignee set to bill-auger

- Status changed from confirmed to fixed

#8 - 2024-03-14 05:53 AM - bill-auger

- Priority changed from bug to freedom issue

#9 - 2024-03-14 05:54 AM - bill-auger

- Related to deleted (Freedom Issue #1167: [chromium][electron][qt5-webengine][qt6-webengine] QTWebgine/Electron embeds "entire Chromium

platform"”)

#10 - 2024-03-14 05:54 AM - bill-auger
- Parent task set to #1167
